jQuery(function($) {
	$(window).bind('form_changed', function(e) {
		
  		$(".save-changes").fadeIn();
  		
  		$(this).bind('beforeunload', function(){ 
  		return "If you leave this page, data may be lost!"; });
	});
	
	var unsaved_changed = false;
	// created the tabs
	$("#clf-base-theme-options-shell").tabs();
	// ajax submition of the form
	$("#clf-base-form").submit(function(){
		$("#clf-base-ajax-feedback").show();
		$("#clf-base-ajax-report").hide();
		
		// submit via ajax
		$("input[name='action']").attr('value', 'clf_base_theme_options');
		
		if ( typeof( tinyMCE ) == "object" && typeof( tinyMCE.execCommand ) == "function" && typeof(CLFBaseFrontpage.columns.split(',')) == "object") {
			var CLFBaseFrontpageArray = CLFBaseFrontpage.columns.split(',');
			for (var i = 0;CLFBaseFrontpageArray[i];i++)
			{
				tinyMCE.execCommand("mceRemoveControl", false, "wysiwig-"+CLFBaseFrontpageArray[i]);	
			}
		}
		
		var data = $(this).serialize();
		if ( typeof( tinyMCE ) == "object" && typeof( tinyMCE.execCommand ) == "function" && typeof(CLFBaseFrontpage.columns.split(',')) == "object") {
			var CLFBaseFrontpageArray = CLFBaseFrontpage.columns.split(',');
			for (var i = 0;CLFBaseFrontpageArray[i];i++)
			{
				tinyMCE.execCommand("mceAddControl", false, "wysiwig-"+CLFBaseFrontpageArray[i]);
			}
		}
		// save the 
		$.post(ajaxurl, data, function(response) {
			
			if(response == "success"){
				$("#clf-base-ajax-feedback").hide();
				$("#clf-base-ajax-report").fadeIn().html("<p>Success! The theme options have been updated <a href='#' class='close-update'>close</a></p>").addClass('updated').removeClass('error');
				$(".save-changes").hide();
				$(window).unbind('beforeunload');
				
			}else{
				$("#clf-base-ajax-feedback").hide();
				$("#clf-base-ajax-report").fadeIn().html("<p>Error! "+response+" <a href='#' class='close-update'>close</a></p>").addClass('error').removeClass('updated');
			}
		});
		
		return false;
		
	});
	$('.close-update').live('click',function(){
		$("#clf-base-ajax-report").fadeOut();
		return false;
	})
	$("#bottom-submit").click(function(){ 
		$("html, body").animate({ scrollTop: 0 }, "slow");
	});
	 
	 // lets see if the form needs to be saved
	 $("#clf-base-theme-options-shell").on('change','input', function () {
	 	$(".save-changes").fadeIn();
	 	$(window).triggerHandler('form_changed');
	 	
	 });
	 $('#clf-base-theme-options-shell').on('keypress', 'textarea,input', function () {
	 	/*$(".save-changes").fadeIn();
	 	unsaved_changed = true; */
	 	$(window).triggerHandler('form_changed');	
	 });
	 
	 
	 
	 // make a bigger clickable area 
	 $("#clf-base-theme-options-shell div.option").click(function(){
	 	 var input_box = $(this).children('label').children('input');
	 	if(!input_box.attr("checked")){
			$(window).triggerHandler('form_changed');	
		}
		
		// $(this).parent(".options-shell").children('div.option').removeClass("selected");
		var parent = $(this).parent(".options-shell");
		
		parent.children('div.option').each(function(){
			$(this).removeClass("selected");
			$(this).children('label').children('input').removeAttr("checked")
		});
		
		$(this).addClass("selected");
		input_box.attr('checked',true);

	 }).each(function(){
	 	if($(this).children('label').children('input').attr("checked"))
	 	{
	 		$(this).addClass("selected");
	 	}
	 })
	
	$("div.hide-advanced").hide().before("<a href='#' class='clear advanced-settings'>show more settings</a>");
	$("a.advanced-settings").live("click",function(e){
		if($(this).html() == 'show more settings')
		{
			$(this).html("hide more settings").siblings("div.hide-advanced").slideDown();
		
		}else{
			$(this).html("show more settings").siblings("div.hide-advanced").hide();
		}
		e.preventDefault();
		
	});
	
	
	// color picker 
	$(".color-picker").ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		$(el).val(hex);
		$(el).ColorPickerHide();
		$(el).change();
		
		// console.log("change",hex, el);
	},
	onBeforeShow: function () {
		$(this).ColorPickerSetColor(this.value);
	},
	onHide : function(hsb, hex, rgb, el) {
		$(this).val(hex);
		//console.log("hide",hsb, hex, rgb, el);
	},
	onChange : function(hsb, hex, rgb, el) {
		$(el).val(hsb,hex,rgb);
		//console.log("change",hsb,hex,rgb,this);
	}
	})
	.bind('keyup', function(){
	$(this).ColorPickerSetColor(this.value);
	});

	// explenation
	$(".explanation").prepend("<a href='#' class='explanation-help'>info</a>");
	$('.explanation-help').on("click",function(){
		$(this).parent().children('p').slideToggle(100);
		return false;
	});
	

	// import settings 
	$("#import-url-action").click(function(){
		if(confirm("You are about to overwrite your theme settings! \n\nDo you want to continue? "))
		{
			var data = {
			action: 'clf_base_theme_import',
			url: escape($("#import-url").val())
			};
			
			$.post(ajaxurl, data, function(response) {
			if( $.trim(response) == "success" ) {
				location.reload(true);		
			}
			else {
				$("#import-response").html("Error: "+response);
			}
			});
			
			return false;
		}
		return false;
	});

});
