// clf-header panel.js

jQuery(function($) {
	$("#hexcode").after('<span class="customcolor">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>');
	$('span.customcolor').css({'border':'3px solid #bbb'});

	var hex = $("#hexcode").val();
	pom_color_update(hex);
	
	$("#hexcode").change(function() {
	 var hex = $("#hexcode").val();
		
		if(/^([A-F0-9]{6})$/i.test(hex)) {
			pom_color_update(hex);
			$('span.customcolor').css({'border-color':'#bbb'});
		} else {
			$('span.customcolor').css({'border-color':'#f00'});
		}
	});
	
	
	$(".clf-header-option  div.option").click(function(){
		$(".clf-header-option  div.option").each(function(){
			$(this).removeClass("selected");
		});
		$(this).addClass("selected");
		
	});
});

function pom_color_update(pom_color) {
	jQuery('#option5_img, #option6_img').css({'background-color':'#'+pom_color,'padding':'0'});
	jQuery('#clf .customcolor').css({'background-color':'#'+pom_color});
}