<?php 
/* 
 * Custom fields are usefull
 */
global $clf_base_options;
include('panel.php');
include('post-url-overwrite.php');
include('real-post-author.php');
include('custom-css.php');
include('custom-javascript.php');
include('page-permissions.php');


function clf_base_custom_fields_update(){
	if ( get_option( 'clf_base_custom_fields_schema_version' ) < 3 ) {
		
		global $wpdb;
		$wpdb->query( "UPDATE $wpdb->postmeta SET meta_key = '_real_post_author' WHERE meta_key = 'real_post_author' " );
		$wpdb->query( "UPDATE $wpdb->postmeta SET meta_key = '_custom_js' WHERE meta_key = 'custom-javascript' " );
		
		// update permissions
		$wpdb->query( "UPDATE $wpdb->postmeta SET meta_key = '_permissions_text' WHERE meta_key = 'permissions_text' " );
		$wpdb->query( "UPDATE $wpdb->postmeta SET meta_key = '_permissions' WHERE meta_key = 'permissions' " );
		
		// update layout 
		$wpdb->query( "UPDATE $wpdb->postmeta SET meta_key = '_layout_value' WHERE meta_key = 'clf_base_layout_value' " );
		
		
	}
	
	if ( get_option( 'clf_base_custom_fields_schema_version' ) < 4 ) {
		global $wpdb;
		$wpdb->query( "UPDATE $wpdb->postmeta SET meta_key = '_custom_css' WHERE meta_key = 'custom-css' " );
		
	}
	
	wp_cache_flush();
	update_option( 'clf_base_custom_fields_schema_version', 4 );

	
}
// change the custom fields shema
clf_base_custom_fields_update();

