<?php 
/** 
 * HTML basics 
 *
 */
add_action('admin_init', 'clf_base_html_basics');


function clf_base_html_basics()
{
	add_settings_section('html_basics', 'HTML Basics', 'clf_base_theme_options_html_basics', 'clf-base-theme-options');
	add_settings_field('clf-base-html-basics-info', 'HTML Basics', 'clf_base_theme_options_html_basics_info', 'clf-base-theme-options', 'html_basics');
	
	wp_register_style('clf-base-css-SyntaxHighlighter', get_bloginfo('stylesheet_directory').'/library/html-basics/syntax-highlighter/styles/shCore.css');
	wp_register_style('clf-base-css-SyntaxHighlighter-Theme', get_bloginfo('stylesheet_directory').'/library/html-basics/syntax-highlighter/styles/shThemeDefault.css');
	add_action('clf_base_admin_ui','clf_base_html_basics_ui');

}

function clf_base_html_basics_ui() {	
	
	wp_enqueue_script('SyntaxHighlighter', get_bloginfo('stylesheet_directory').'/library/html-basics/syntax-highlighter/scripts/shCore.js' );
	wp_enqueue_script('SyntaxHighlighterBrush', get_bloginfo('stylesheet_directory').'/library/html-basics/syntax-highlighter/scripts/shBrushXml.js');
	wp_enqueue_script('clf-base-html-basics-panel', get_bloginfo('stylesheet_directory').'/library/html-basics/panel.js',array('SyntaxHighlighter') );
	wp_enqueue_style( 'clf-base-css-SyntaxHighlighter' );
	wp_enqueue_style( 'clf-base-css-SyntaxHighlighter-Theme' );
}
function clf_base_theme_options_html_basics()
{
	?>
	
	<?php

}

function clf_base_theme_options_html_basics_info()
{
	?>
	<div class="half">
	
	</div>
	<div class="half">
	<pre  class="brush: xhtml;">
	<h1>Heading 1 Example</h1>
	<h2>Heading 2 Example</h2>
	<h3>Heading 3 Example</h3>
	<h4>Heading 4 Example</h4>
	<h5>Heading 5 Example</h5>
	<h6>Heading 6 Example</h6>
	</pre>
	</div>
	<?php
}