<?php 



add_shortcode('dynamic_feature_preview','clf_base_dynamic_feature_preview_shortcode');
function clf_base_dynamic_feature_preview_shortcode($atts)
{
	global $post;
	extract(shortcode_atts(array(
		'hybrid_byline' => false,
		'hybrid_entry_meta' => false,
		'category'=>null,
		'count'=>1,
		'url'=>null,
		'url_title'=>null,
		'omit_first'=>false,
		'title'=>true,
		'image'=>true,
		'excerpt'=>true,
		'read_more'=>'read more',
		'over_write_url' =>false,
		'non_error'=>'Sorry No Posts Avalable',
		'pre_story'=>'Feature Story: <br />',
		'image_type' => 'thumbnail'
	), $atts));
	
	if(!$category)
		$category =	get_post_meta($post->ID, 'category-sticky', true); 
	
	if(!$category):
		$category =	get_post_meta($post->ID, 'category', true); 
	
	endif;
	ob_start();
	
	
?>
	<div class="dynamic-feature-preview">
	<?php
	query_posts( array( 
		'category_name' => $category, 
		'showposts' => $count, 
		)); ?>
	
	<?php 
	$count= 0;
	if( have_posts() ):
	while( have_posts() ) : the_post(); $do_not_duplicate[] = $post->ID; 
		if(!$omit_first || $count != 0):
	?>
		<div class="<?php hybrid_entry_class(); ?>">
			<?php
			if($url_title || $url):
				?>
				<h2 class='dynamic-feature-preview-title'><a href='<?php echo $url; ?>' title='go to <?php echo $url_title;?>'><?php echo $url_title;?></a></h2>
			<?php 
			endif;
			
			if($image):
				echo "<a href='$url' title='go to  $url_title '>";
					$image = get_the_post_thumbnail($page->ID, $image_type);
        			
        			if( empty($image)):
			        	$defaults = array(
							'custom_key' => array("Feature_Image"),
							'post_id' => false, // Build functionality in later
							'attachment' => true,
							'default_size' => $default_size,
							'default_image' => $default_image,
							'order_of_image' => 1,
							'link_to_post' => false,
							'image_class' => false,
							'image_scan' => false,
							'width' => false,
							'height' => false,
							'format' => 'img',
							'echo' => true
						);
					
	        			get_the_image($defaults); 
					else:
						echo $image;
					endif;
					
				  
				  echo "</a>"; 
			endif;
			
			
			if($title):
				
				if($over_write_url && $url):
					?>
					<h3 class='entry_title'><?php
					if($pre_story != ""): ?>
					<span><?php echo $pre_story; ?></span> 
					<?php endif; ?>
					<a href="<?php echo $url; ?>"><?php the_title(); ?></a></h3>				
				<?php
				else: 
					hybrid_before_entry();
				endif;
			endif; 
				
			if($excerpt):
				?>
				<div class="entry-summary entry">
					<?php the_excerpt(); ?>
				</div>
				<?php
				
				if($read_more):
					if(!$url)
					$url = get_permalink($post->ID);
				?>
					<a class="read-more" href="<?php echo $url; ?>"><?php echo $read_more; ?></a>
				<?php
				endif;
			endif;
			?>
			<?php 
			if($hybrid_entry_meta):
				hybrid_after_entry(); 
			endif;
			
			?>

		</div>

	<?php 
		
		endif;
			
		$count++;
	endwhile;
	
		if($count == 1 && $omit_first):
			echo $non_error;
		endif;
	else:
		echo $non_error;
	endif;
	 wp_reset_query(); ?>

	</div>
<?php
	
	return ob_get_clean();
}
add_shortcode('dynamic_feature_preview','clf_base_dynamic_feature_preview_shortcode');
add_shortcode('dynamic_single_feature','clf_base_dynamic_single_feature_shortcode');



function clf_base_dynamic_single_feature_shortcode($attr)
{
	global $post;
		extract(shortcode_atts(array(
		'hybrid_byline' => false,
		'hybrid_entry_meta' => false,
		'category'=>null,
		'default_image'=>'',
		'default_size' =>'large',
		'excert_lenght' => null,
		'title'=>true,
		'excerpt'=>true,
		'read_more'		=> 'read more',
		'overlay' =>true,
		'image_type' => 'thumbnail'
		
	), $attr));
	
	if(!$category)
		$category =	get_post_meta($post->ID, 'category-sticky', true); 
	
	if(!$category)
		$category =	get_post_meta($post->ID, 'category', true); 
	
	ob_start();
	?>	
		
		
		<?php
		query_posts( array( 
		'category_name' => $category,
		'showposts' => 1, 
		'caller_get_posts' => 1, 
		'post__not_in' => $do_not_duplicate ) ); 
		
 		 while( have_posts() ) : the_post(); $do_not_duplicate[] = $post->ID; 
		
		?>
    	<div id="dynamic-single-feature" class="<?php hybrid_entry_class();?>">
        	<div id="dynamic-single-feature-image">
        	
        		<?php 
        			
        			$image = get_the_post_thumbnail($page->ID, $image_type);
        			
        			if( empty($image)):
			        	$defaults = array(
							'custom_key' => array("Feature_Image"),
							'post_id' => false, // Build functionality in later
							'attachment' => true,
							'default_size' => $default_size,
							'default_image' => $default_image,
							'order_of_image' => 1,
							'link_to_post' => true,
							'image_class' => false,
							'image_scan' => false,
							'width' => false,
							'height' => false,
							'format' => 'img',
							'echo' => true
						);
					
	        			get_the_image($defaults); 
					else:
						echo $image;
					endif;        		
        		?>
        	
        	</div>
        	
        	<?php if($overlay != 'false'): ?>
            <div id="overlay_below" class="overlay-below"></div>
            <div id="overlay" class="overlay" >
            	<?php if($title): ?>
            	<h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
                <?php endif; ?>	
					<div class="entry-summary entry">
						<?php 
						if($excert_lenght):
							echo mb_substr(get_the_excerpt(),0,$excert_lenght);
						 
						elseif($excerpt):
							the_excerpt();
						endif;
						 ?>
					</div>
					<?php if($read_more) : ?>
					<a class="read-more" id="dynamic-single-feature-read-more"  href="<?php the_permalink(); ?>" ><?php echo $read_more;?></a>
					<?php endif; ?>

            </div>
            <?php endif; ?>
        </div>
 	<?php endwhile; wp_reset_query(); ?>
 	<?php
 	return ob_get_clean();
}
