<?php 

// shortcode to show content only to logged in user. 


add_shortcode( 'loggedin', 'clf_base_loggedin_check_shortcode' );
add_shortcode( 'loggedout', 'clf_base_loggedout_check_shortcode' );

/**
 * member_check_shortcode function.
 * 
 * @access public
 * @param mixed $atts
 * @param mixed $content. (default: null)
 * @return void
 */
function clf_base_loggedin_check_shortcode( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'as' => null,
	), $atts ) );
	
	 if( !is_null($as) && current_user_can( 'administrator' ) )
	 	return do_shortcode($content);
	 
	 if ( is_user_logged_in() && !is_null( $content ) && !is_feed() )
		return do_shortcode($content);
	return '';
}


function clf_base_loggedout_check_shortcode( $atts, $content = null ) {
	 if ( is_user_logged_in() && !is_feed() )
		return '';
	return do_shortcode($content);
}
