<?php
/**
 * Widget Areas
 *
 */
//if(is_admin())
//	require_once("panel.php");

// add_action('init', 'clf_base_widget_areas_check');


function clf_base_widget_areas_check()
{
	global $clf_base_options;
	$widget_areas_ids = array(	'primary',
								'secondary',
								'subsidiary',
								'utility-after-content',
								'utility-after-single',
								'utility-after-page',
								'utility-before-content');
	foreach($widget_areas_ids as $widget_ids):
		if(!isset($clf_base_options['widget-areas'][$widget_ids])):
			unregister_sidebar( $widget_ids );
		endif;
	endforeach;
}

if()
// register the frontpage widget
register_sidebar( 
	array( 'name' => __('Header', 'hybrid'), 
	'id' => 'header-widget', 
	'before_widget' => '<div id="%1$s" class="widget %2$s widget-%2$s"><div class="widget-inside">', 
	'after_widget' => '</div></div>', 
	'before_title' => '<h3 class="widget-title">', 
	'after_title' => '</h3>' ) );


add_action( 'hybrid_after_header', 'clf_base_header_widget',12);

function clf_base_header_widget()
{	
	
	if ( is_sidebar_active( 'header-widget' ) ) : ?>

			<div class="header-widget utility">

				<?php dynamic_sidebar( 'header-widget' ); ?>

			</div><!-- #header-widget .utility -->

	<?php endif; 
}