<?php
/**
 * Navigation Links Template
 *
 * This template is used to show your navigation links.
 * 
 * @package Hybrid
 * @subpackage Template
 */
 global $clf_base_options;

 if($clf_base_options['navigation']['navigation-links']['enable']):
?>

	<?php
	
	 if ( is_singular() && !is_page() ) : ?>

		<div class="navigation-links">
			<?php previous_post_link( '<span class="previous">%link</span>', 	$clf_base_options['navigation']['navigation-links']['previous'] ); ?>
			<?php next_post_link( '<span class="next">%link</span>', 			$clf_base_options['navigation']['navigation-links']['next'] ); ?>
		</div><!-- .navigation-links -->

	<?php elseif ( is_archive()  && function_exists('wp_pagenavi')) : 
		wp_pagenavi(); 
	elseif ( is_home() && $clf_base_options['frontpage']['option']==0   && function_exists('wp_pagenavi')) : 
		wp_pagenavi(); 
	elseif( is_front_page() && $clf_base_options['frontpage']['option']==0 && function_exists('wp_pagenavi')):
		wp_pagenavi(); 
	endif; 
endif;	
?>