<?php
/** 
 * Scripts
 * 
 * Lets the user choose what layout grid they want to use and enables that with css
 */

global $clf_base_load_backend;
if($clf_base_load_backend)
	require_once("panel.php"); 

add_action('init','clf_base_scripts_init');

/**
 * clf_base_scripts_init function.
 * 
 * @access public
 * @return void
 */
function clf_base_scripts_init()
{	
	add_action("hybrid_after_html",'clf_base_scripts_footer');
}

/**
 * clf_base_scripts_footer function.
 * 
 * @access public
 * @return void
 */
function clf_base_scripts_footer()
{
	global $clf_base_options;
	if( isset($clf_base_options['scripts']) && isset($clf_base_options['scripts']['footer']))
		echo $clf_base_options['scripts']['footer'];
}